// First this...
s.boot;

// Then this...
(
var maxfreq = 0;

n = NetAddr("127.0.0.1", 57120); // Sets up the OSC responders' address

// Below sets up a responder, so sending anything sent to the above address to node 1000.  In this case, that's the value of the variable called 'maxfreq', the value of which is to be set by the Max patch.

OSCresponder(nil, '/osc', { arg time,responder,msg,addr;

var freq, amp = 0.2;

	msg.postln;
	freq = msg[1];
	amp = msg[2];

	a.set(\freq, freq, \amp, amp);
}).add;

// Define a simple synth to demonstrate this.  You could put any synth here you wanted...
SynthDef(\SimpleSine, { arg freq = 440, amp=0.2; Out.ar(0, SinOsc.ar(freq, 0, amp)) }).send(s);
)

// And finally this...
a = Synth(\SimpleSine, [\freq, 300]);